#ifndef _H_2F8E907F0D45C40F60B56982C3F722BD_Polly_DCPS_H_
#define _H_2F8E907F0D45C40F60B56982C3F722BD_Polly_DCPS_H_

#include "sacpp_mapping.h"
#include "dds_dcps.h"
#include "Polly_.h"


namespace tts_interfaces
{
    namespace srv
    {
        namespace dds_
        {
            class Polly_Request_TypeSupportInterface;

            typedef Polly_Request_TypeSupportInterface * Polly_Request_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Polly_Request_TypeSupportInterface> Polly_Request_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Polly_Request_TypeSupportInterface> Polly_Request_TypeSupportInterface_out;


            class Polly_Request_DataWriter;

            typedef Polly_Request_DataWriter * Polly_Request_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Polly_Request_DataWriter> Polly_Request_DataWriter_var;
            typedef DDS_DCPSInterface_out < Polly_Request_DataWriter> Polly_Request_DataWriter_out;


            class Polly_Request_DataReader;

            typedef Polly_Request_DataReader * Polly_Request_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Polly_Request_DataReader> Polly_Request_DataReader_var;
            typedef DDS_DCPSInterface_out < Polly_Request_DataReader> Polly_Request_DataReader_out;


            class Polly_Request_DataReaderView;

            typedef Polly_Request_DataReaderView * Polly_Request_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Polly_Request_DataReaderView> Polly_Request_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Polly_Request_DataReaderView> Polly_Request_DataReaderView_out;

            struct Polly_Request_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < Polly_Request_, struct Polly_Request_Seq_uniq_> Polly_Request_Seq;
            typedef DDS_DCPSSequence_var < Polly_Request_Seq> Polly_Request_Seq_var;
            typedef DDS_DCPSSequence_out < Polly_Request_Seq> Polly_Request_Seq_out;

            class  Polly_Request_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Polly_Request_TypeSupportInterface_ptr _ptr_type;
                typedef Polly_Request_TypeSupportInterface_var _var_type;

                static Polly_Request_TypeSupportInterface_ptr _duplicate (Polly_Request_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Polly_Request_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Polly_Request_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Polly_Request_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Polly_Request_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Polly_Request_TypeSupportInterface () {};
                ~Polly_Request_TypeSupportInterface () {};
            private:
                Polly_Request_TypeSupportInterface (const Polly_Request_TypeSupportInterface &);
                Polly_Request_TypeSupportInterface & operator = (const Polly_Request_TypeSupportInterface &);
            };

            class  Polly_Request_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Polly_Request_DataWriter_ptr _ptr_type;
                typedef Polly_Request_DataWriter_var _var_type;

                static Polly_Request_DataWriter_ptr _duplicate (Polly_Request_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Polly_Request_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Polly_Request_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Polly_Request_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Polly_Request_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Polly_Request_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Polly_Request_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Polly_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Polly_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Polly_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Polly_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Polly_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Polly_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Polly_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Polly_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Polly_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Polly_Request_& instance_data) = 0;

            protected:
                Polly_Request_DataWriter () {};
                ~Polly_Request_DataWriter () {};
            private:
                Polly_Request_DataWriter (const Polly_Request_DataWriter &);
                Polly_Request_DataWriter & operator = (const Polly_Request_DataWriter &);
            };

            class  Polly_Request_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Polly_Request_DataReader_ptr _ptr_type;
                typedef Polly_Request_DataReader_var _var_type;

                static Polly_Request_DataReader_ptr _duplicate (Polly_Request_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Polly_Request_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Polly_Request_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Polly_Request_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Polly_Request_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Polly_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Polly_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Polly_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Polly_Request_& instance) = 0;

            protected:
                Polly_Request_DataReader () {};
                ~Polly_Request_DataReader () {};
            private:
                Polly_Request_DataReader (const Polly_Request_DataReader &);
                Polly_Request_DataReader & operator = (const Polly_Request_DataReader &);
            };

            class  Polly_Request_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Polly_Request_DataReaderView_ptr _ptr_type;
                typedef Polly_Request_DataReaderView_var _var_type;

                static Polly_Request_DataReaderView_ptr _duplicate (Polly_Request_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Polly_Request_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Polly_Request_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Polly_Request_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Polly_Request_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Polly_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Polly_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Polly_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Polly_Request_& instance) = 0;

            protected:
                Polly_Request_DataReaderView () {};
                ~Polly_Request_DataReaderView () {};
            private:
                Polly_Request_DataReaderView (const Polly_Request_DataReaderView &);
                Polly_Request_DataReaderView & operator = (const Polly_Request_DataReaderView &);
            };
            class Polly_Response_TypeSupportInterface;

            typedef Polly_Response_TypeSupportInterface * Polly_Response_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Polly_Response_TypeSupportInterface> Polly_Response_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Polly_Response_TypeSupportInterface> Polly_Response_TypeSupportInterface_out;


            class Polly_Response_DataWriter;

            typedef Polly_Response_DataWriter * Polly_Response_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Polly_Response_DataWriter> Polly_Response_DataWriter_var;
            typedef DDS_DCPSInterface_out < Polly_Response_DataWriter> Polly_Response_DataWriter_out;


            class Polly_Response_DataReader;

            typedef Polly_Response_DataReader * Polly_Response_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Polly_Response_DataReader> Polly_Response_DataReader_var;
            typedef DDS_DCPSInterface_out < Polly_Response_DataReader> Polly_Response_DataReader_out;


            class Polly_Response_DataReaderView;

            typedef Polly_Response_DataReaderView * Polly_Response_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Polly_Response_DataReaderView> Polly_Response_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Polly_Response_DataReaderView> Polly_Response_DataReaderView_out;

            struct Polly_Response_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < Polly_Response_, struct Polly_Response_Seq_uniq_> Polly_Response_Seq;
            typedef DDS_DCPSSequence_var < Polly_Response_Seq> Polly_Response_Seq_var;
            typedef DDS_DCPSSequence_out < Polly_Response_Seq> Polly_Response_Seq_out;

            class  Polly_Response_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Polly_Response_TypeSupportInterface_ptr _ptr_type;
                typedef Polly_Response_TypeSupportInterface_var _var_type;

                static Polly_Response_TypeSupportInterface_ptr _duplicate (Polly_Response_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Polly_Response_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Polly_Response_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Polly_Response_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Polly_Response_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Polly_Response_TypeSupportInterface () {};
                ~Polly_Response_TypeSupportInterface () {};
            private:
                Polly_Response_TypeSupportInterface (const Polly_Response_TypeSupportInterface &);
                Polly_Response_TypeSupportInterface & operator = (const Polly_Response_TypeSupportInterface &);
            };

            class  Polly_Response_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Polly_Response_DataWriter_ptr _ptr_type;
                typedef Polly_Response_DataWriter_var _var_type;

                static Polly_Response_DataWriter_ptr _duplicate (Polly_Response_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Polly_Response_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Polly_Response_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Polly_Response_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Polly_Response_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Polly_Response_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Polly_Response_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Polly_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Polly_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Polly_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Polly_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Polly_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Polly_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Polly_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Polly_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Polly_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Polly_Response_& instance_data) = 0;

            protected:
                Polly_Response_DataWriter () {};
                ~Polly_Response_DataWriter () {};
            private:
                Polly_Response_DataWriter (const Polly_Response_DataWriter &);
                Polly_Response_DataWriter & operator = (const Polly_Response_DataWriter &);
            };

            class  Polly_Response_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Polly_Response_DataReader_ptr _ptr_type;
                typedef Polly_Response_DataReader_var _var_type;

                static Polly_Response_DataReader_ptr _duplicate (Polly_Response_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Polly_Response_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Polly_Response_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Polly_Response_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Polly_Response_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Polly_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Polly_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Polly_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Polly_Response_& instance) = 0;

            protected:
                Polly_Response_DataReader () {};
                ~Polly_Response_DataReader () {};
            private:
                Polly_Response_DataReader (const Polly_Response_DataReader &);
                Polly_Response_DataReader & operator = (const Polly_Response_DataReader &);
            };

            class  Polly_Response_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Polly_Response_DataReaderView_ptr _ptr_type;
                typedef Polly_Response_DataReaderView_var _var_type;

                static Polly_Response_DataReaderView_ptr _duplicate (Polly_Response_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Polly_Response_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Polly_Response_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Polly_Response_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Polly_Response_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Polly_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Polly_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Polly_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Polly_Response_& instance) = 0;

            protected:
                Polly_Response_DataReaderView () {};
                ~Polly_Response_DataReaderView () {};
            private:
                Polly_Response_DataReaderView (const Polly_Response_DataReaderView &);
                Polly_Response_DataReaderView & operator = (const Polly_Response_DataReaderView &);
            };
            class Sample_Polly_Request_TypeSupportInterface;

            typedef Sample_Polly_Request_TypeSupportInterface * Sample_Polly_Request_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Sample_Polly_Request_TypeSupportInterface> Sample_Polly_Request_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Sample_Polly_Request_TypeSupportInterface> Sample_Polly_Request_TypeSupportInterface_out;


            class Sample_Polly_Request_DataWriter;

            typedef Sample_Polly_Request_DataWriter * Sample_Polly_Request_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Sample_Polly_Request_DataWriter> Sample_Polly_Request_DataWriter_var;
            typedef DDS_DCPSInterface_out < Sample_Polly_Request_DataWriter> Sample_Polly_Request_DataWriter_out;


            class Sample_Polly_Request_DataReader;

            typedef Sample_Polly_Request_DataReader * Sample_Polly_Request_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Sample_Polly_Request_DataReader> Sample_Polly_Request_DataReader_var;
            typedef DDS_DCPSInterface_out < Sample_Polly_Request_DataReader> Sample_Polly_Request_DataReader_out;


            class Sample_Polly_Request_DataReaderView;

            typedef Sample_Polly_Request_DataReaderView * Sample_Polly_Request_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Sample_Polly_Request_DataReaderView> Sample_Polly_Request_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Sample_Polly_Request_DataReaderView> Sample_Polly_Request_DataReaderView_out;

            struct Sample_Polly_Request_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < Sample_Polly_Request_, struct Sample_Polly_Request_Seq_uniq_> Sample_Polly_Request_Seq;
            typedef DDS_DCPSSequence_var < Sample_Polly_Request_Seq> Sample_Polly_Request_Seq_var;
            typedef DDS_DCPSSequence_out < Sample_Polly_Request_Seq> Sample_Polly_Request_Seq_out;

            class  Sample_Polly_Request_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Sample_Polly_Request_TypeSupportInterface_ptr _ptr_type;
                typedef Sample_Polly_Request_TypeSupportInterface_var _var_type;

                static Sample_Polly_Request_TypeSupportInterface_ptr _duplicate (Sample_Polly_Request_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Polly_Request_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Polly_Request_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Polly_Request_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Polly_Request_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Sample_Polly_Request_TypeSupportInterface () {};
                ~Sample_Polly_Request_TypeSupportInterface () {};
            private:
                Sample_Polly_Request_TypeSupportInterface (const Sample_Polly_Request_TypeSupportInterface &);
                Sample_Polly_Request_TypeSupportInterface & operator = (const Sample_Polly_Request_TypeSupportInterface &);
            };

            class  Sample_Polly_Request_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Sample_Polly_Request_DataWriter_ptr _ptr_type;
                typedef Sample_Polly_Request_DataWriter_var _var_type;

                static Sample_Polly_Request_DataWriter_ptr _duplicate (Sample_Polly_Request_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Polly_Request_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Polly_Request_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Polly_Request_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Polly_Request_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Sample_Polly_Request_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Sample_Polly_Request_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Sample_Polly_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Sample_Polly_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Sample_Polly_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Sample_Polly_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Sample_Polly_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Sample_Polly_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Sample_Polly_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Sample_Polly_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Sample_Polly_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_Polly_Request_& instance_data) = 0;

            protected:
                Sample_Polly_Request_DataWriter () {};
                ~Sample_Polly_Request_DataWriter () {};
            private:
                Sample_Polly_Request_DataWriter (const Sample_Polly_Request_DataWriter &);
                Sample_Polly_Request_DataWriter & operator = (const Sample_Polly_Request_DataWriter &);
            };

            class  Sample_Polly_Request_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Sample_Polly_Request_DataReader_ptr _ptr_type;
                typedef Sample_Polly_Request_DataReader_var _var_type;

                static Sample_Polly_Request_DataReader_ptr _duplicate (Sample_Polly_Request_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Polly_Request_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Polly_Request_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Polly_Request_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Polly_Request_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Sample_Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_Polly_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_Polly_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_Polly_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_Polly_Request_& instance) = 0;

            protected:
                Sample_Polly_Request_DataReader () {};
                ~Sample_Polly_Request_DataReader () {};
            private:
                Sample_Polly_Request_DataReader (const Sample_Polly_Request_DataReader &);
                Sample_Polly_Request_DataReader & operator = (const Sample_Polly_Request_DataReader &);
            };

            class  Sample_Polly_Request_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Sample_Polly_Request_DataReaderView_ptr _ptr_type;
                typedef Sample_Polly_Request_DataReaderView_var _var_type;

                static Sample_Polly_Request_DataReaderView_ptr _duplicate (Sample_Polly_Request_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Polly_Request_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Polly_Request_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Polly_Request_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Polly_Request_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Sample_Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_Polly_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_Polly_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_Polly_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_Polly_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_Polly_Request_& instance) = 0;

            protected:
                Sample_Polly_Request_DataReaderView () {};
                ~Sample_Polly_Request_DataReaderView () {};
            private:
                Sample_Polly_Request_DataReaderView (const Sample_Polly_Request_DataReaderView &);
                Sample_Polly_Request_DataReaderView & operator = (const Sample_Polly_Request_DataReaderView &);
            };
            class Sample_Polly_Response_TypeSupportInterface;

            typedef Sample_Polly_Response_TypeSupportInterface * Sample_Polly_Response_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Sample_Polly_Response_TypeSupportInterface> Sample_Polly_Response_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Sample_Polly_Response_TypeSupportInterface> Sample_Polly_Response_TypeSupportInterface_out;


            class Sample_Polly_Response_DataWriter;

            typedef Sample_Polly_Response_DataWriter * Sample_Polly_Response_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Sample_Polly_Response_DataWriter> Sample_Polly_Response_DataWriter_var;
            typedef DDS_DCPSInterface_out < Sample_Polly_Response_DataWriter> Sample_Polly_Response_DataWriter_out;


            class Sample_Polly_Response_DataReader;

            typedef Sample_Polly_Response_DataReader * Sample_Polly_Response_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Sample_Polly_Response_DataReader> Sample_Polly_Response_DataReader_var;
            typedef DDS_DCPSInterface_out < Sample_Polly_Response_DataReader> Sample_Polly_Response_DataReader_out;


            class Sample_Polly_Response_DataReaderView;

            typedef Sample_Polly_Response_DataReaderView * Sample_Polly_Response_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Sample_Polly_Response_DataReaderView> Sample_Polly_Response_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Sample_Polly_Response_DataReaderView> Sample_Polly_Response_DataReaderView_out;

            struct Sample_Polly_Response_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < Sample_Polly_Response_, struct Sample_Polly_Response_Seq_uniq_> Sample_Polly_Response_Seq;
            typedef DDS_DCPSSequence_var < Sample_Polly_Response_Seq> Sample_Polly_Response_Seq_var;
            typedef DDS_DCPSSequence_out < Sample_Polly_Response_Seq> Sample_Polly_Response_Seq_out;

            class  Sample_Polly_Response_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Sample_Polly_Response_TypeSupportInterface_ptr _ptr_type;
                typedef Sample_Polly_Response_TypeSupportInterface_var _var_type;

                static Sample_Polly_Response_TypeSupportInterface_ptr _duplicate (Sample_Polly_Response_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Polly_Response_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Polly_Response_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Polly_Response_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Polly_Response_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Sample_Polly_Response_TypeSupportInterface () {};
                ~Sample_Polly_Response_TypeSupportInterface () {};
            private:
                Sample_Polly_Response_TypeSupportInterface (const Sample_Polly_Response_TypeSupportInterface &);
                Sample_Polly_Response_TypeSupportInterface & operator = (const Sample_Polly_Response_TypeSupportInterface &);
            };

            class  Sample_Polly_Response_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Sample_Polly_Response_DataWriter_ptr _ptr_type;
                typedef Sample_Polly_Response_DataWriter_var _var_type;

                static Sample_Polly_Response_DataWriter_ptr _duplicate (Sample_Polly_Response_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Polly_Response_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Polly_Response_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Polly_Response_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Polly_Response_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Sample_Polly_Response_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Sample_Polly_Response_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Sample_Polly_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Sample_Polly_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Sample_Polly_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Sample_Polly_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Sample_Polly_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Sample_Polly_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Sample_Polly_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Sample_Polly_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Sample_Polly_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_Polly_Response_& instance_data) = 0;

            protected:
                Sample_Polly_Response_DataWriter () {};
                ~Sample_Polly_Response_DataWriter () {};
            private:
                Sample_Polly_Response_DataWriter (const Sample_Polly_Response_DataWriter &);
                Sample_Polly_Response_DataWriter & operator = (const Sample_Polly_Response_DataWriter &);
            };

            class  Sample_Polly_Response_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Sample_Polly_Response_DataReader_ptr _ptr_type;
                typedef Sample_Polly_Response_DataReader_var _var_type;

                static Sample_Polly_Response_DataReader_ptr _duplicate (Sample_Polly_Response_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Polly_Response_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Polly_Response_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Polly_Response_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Polly_Response_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Sample_Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_Polly_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_Polly_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_Polly_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_Polly_Response_& instance) = 0;

            protected:
                Sample_Polly_Response_DataReader () {};
                ~Sample_Polly_Response_DataReader () {};
            private:
                Sample_Polly_Response_DataReader (const Sample_Polly_Response_DataReader &);
                Sample_Polly_Response_DataReader & operator = (const Sample_Polly_Response_DataReader &);
            };

            class  Sample_Polly_Response_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Sample_Polly_Response_DataReaderView_ptr _ptr_type;
                typedef Sample_Polly_Response_DataReaderView_var _var_type;

                static Sample_Polly_Response_DataReaderView_ptr _duplicate (Sample_Polly_Response_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Polly_Response_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Polly_Response_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Polly_Response_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Polly_Response_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Sample_Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_Polly_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_Polly_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_Polly_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_Polly_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_Polly_Response_& instance) = 0;

            protected:
                Sample_Polly_Response_DataReaderView () {};
                ~Sample_Polly_Response_DataReaderView () {};
            private:
                Sample_Polly_Response_DataReaderView (const Sample_Polly_Response_DataReaderView &);
                Sample_Polly_Response_DataReaderView & operator = (const Sample_Polly_Response_DataReaderView &);
            };
        }

    }

}

#endif
